cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Johannes_Lor...@mn.man.de
Subject Antwort: RE: Anyone got Cocoon 2.x on Websphere 5.x ?
Date Thu, 10 Jul 2003 14:44:21 GMT




Cocoon runs fine with WebSphere 5.0.x

Please check, whether you have set all classloader policies to "Parent
last".
The default settings of WAS are "parent first". There is also an annoying
side effect, everytime you reload your ear-file, WAS resets your settings
to the default values :-O

HTH
Johannes


|---------+---------------------------->
|         |           "Brook, Andy"    |
|         |           <AXB@dolby.co.uk>|
|         |                            |
|         |           07/10/2003 02:29 |
|         |           PM               |
|         |           Bitte antworten  |
|         |           an users         |
|         |                            |
|---------+---------------------------->
  >-----------------------------------------------------------------------------------------------------------------|
  |                                                                                      
                          |
  |       An:       <users@cocoon.apache.org>                                      
                                |
  |       Kopie:                                                                         
                          |
  |       Thema:    RE: Anyone got Cocoon 2.x on Websphere 5.x ?                         
                          |
  >-----------------------------------------------------------------------------------------------------------------|





Hi Gordon,

2.1 runs fine under tomcat, under 1.3/1.4 as appropriate (it matters),
but as I said, dies under Websphere5 due to some JarClassLoader
class-cast Exception.

a.

-----Original Message-----
From: Barnes, Gordon (ELSLON) [mailto:Gordon.Barnes@eslo.co.uk]
Sent: 10 July 2003 11:50
To: 'users@cocoon.apache.org'
Subject: RE: Anyone got Cocoon 2.x on Websphere 5.x ?

Hi Andy,

I haven't been using struts, and so far only creating html and xml
outputs.
I have been able to run all the standard examples.

Unfortunately I haven't yet had a chance to look at Cocoon 2.1. Were you
able to get it running?

Regards
Gordon J Barnes
Elsevier Ltd


-----Original Message-----
From: Brook, Andy [mailto:AXB@dolby.co.uk]
Sent: 10 July 2003 11:36
To: users@cocoon.apache.org
Subject: RE: Anyone got Cocoon 2.x on Websphere 5.x ?



Hi Gordon,
 Many thanks,  I was trying 2.1M2/3 as that was the version the
struts-cocoon handler was written against, which leads me on to:

 Could you clarify, do you use cocoon raw or is linked with struts? Did
you ever push the output from a JSP page to PDF generation instead of
HTML? This is my ultimate goal.

ttfn
Andy.

-----Original Message-----
From: Barnes, Gordon (ELSLON) [mailto:Gordon.Barnes@eslo.co.uk]
Sent: 10 July 2003 09:40
To: 'users@cocoon.apache.org'
Subject: RE: Anyone got Cocoon 2.x on Websphere 5.x ?

Hi,

I have succeeded in getting Cocoon 2.0.4 to run with Websphere 5.0.2,
and
have been able to develop a test site with it.

There are two things you need to do:
1: The web.xml file needs to be edited . There is an <init-param>
element,
with a <param-name> element with a value of "load-class". This element
has a
comment in the value of the <param-value> element. This appears to be
upsetting WebSphere. You need to remove the comment.

2: The server configuration needs to be altered so the classloader is
set to
Parent Last. I have done this for both the parent ear file and the
cocoon
war file. Be warned, if the class loader is not set, the Cocoon
application
can go into a recurring loop. If this happens, you need to delete the
servers temporary cache and re-publish the server.

I hope this helps

I have not had time to determine what causes any of this, or if there is
a
"better" way, but this is what works for us at the moment.

Regards
Gordon J Barnes
Elsevier Ltd


-----Original Message-----
From: Brook, Andy [mailto:AXB@dolby.co.uk]
Sent: 10 July 2003 09:08
To: users@cocoon.apache.org
Subject: Anyone got Cocoon 2.x on Websphere 5.x ?



Hi all,
I've got cocoon running under tomcat _no_worries_ but can I get it
running under Websphere 5? _no_way_!

Context:
I'm using 'struts-cocoon' with 2.1m2 /3 compiled for JDK1.3 which is
what Websphere 5 is using (yea, been there!)
I get an interesting exception during the JSP processing, seemingly
relating to an internal Classloader problem.

There seems to be nothing I can configure within WSAD (the IBM dev
program built on eclipse) to affect server parameters, I've traced the
class-loader to be related to a 'trace server'
(http://publib7b.boulder.ibm.com/wasinfo1/en/info/aes/ae/utrb_traceservi
ce.html )...

Has anyone had cocoon running under websphere 5?

Thanks,
Andy.
axb@dolby.co.uk

---

(partial Stack due to 50K limit :)

Internal Server Error
Message: Exception JspGenerator.generate()
Description: org.apache.cocoon.ProcessingException: Exception=20
JspGenerator.generate(): java.lang.ClassCastException:=20
com.ibm.ws.classloader.JarClassLoader
Sender: org.twdata.struts.CocoonHandler
Source: Cocoon Servlet
request-uri

/struts-cocoon/editRegistration.do

full exception chain stacktrace
Original Exception: java.lang.ClassCastException:=20
com.ibm.ws.classloader.JarClassLoader
      at org.apache.jasper.servlet.JspServlet.init(JspServlet.java:268)
org.apache.cocoon.components.jsp.JSPEngineImpl.executeJSP(JSPEngineImpl.
java:121)
org.apache.cocoon.generation.JspGenerator.generate(JspGenerator.java:120
)
org.apache.cocoon.components.pipeline.AbstractProcessingPipeline.process
XMLPipeline(AbstractProcessingPipeline.java:545)


This message (including any attachments) may contain confidential
information intended for a specific individual and purpose. If you are
not
the intended recipient, delete this message. If you are not the intended
recipient, disclosing, copying, distributing, or taking any action based
on
this message is strictly prohibited.

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


This message (including any attachments) may contain confidential
information intended for a specific individual and purpose. If you are
not
the intended recipient, delete this message. If you are not the intended
recipient, disclosing, copying, distributing, or taking any action based
on
this message is strictly prohibited.

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


This message (including any attachments) may contain confidential
information intended for a specific individual and purpose. If you are not
the intended recipient, delete this message. If you are not the intended
recipient, disclosing, copying, distributing, or taking any action based on
this message is strictly prohibited.

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org





This message and any attachments are confidential and may be privileged or otherwise protected
from disclosure. 
If you are not the intended recipient, please telephone or email the sender and delete this
message and any attachment 
from your system. If you are not the intended recipient, you must not copy this message or
attachment or disclose the 
contents to any other person.


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


Mime
View raw message